<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:clickable="true"
        android:focusable="true">


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rvNearBy"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/layoutHeader"
            android:padding="8dp" />

        <include
            android:id="@+id/permissionView"
            layout="@layout/layout_location_permission"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentTop="true"
            android:visibility="gone" />


        <RelativeLayout
            android:id="@+id/layoutHeader"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:layout_margin="16dp">

            <RelativeLayout
                android:id="@+id/layoutSearch"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentStart="true"
                android:layout_centerInParent="true"
                android:layout_toStartOf="@+id/imgMapView"
                android:background="@drawable/shadow_rou">


                <ImageView
                    android:id="@+id/imgSearch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentStart="true"
                    android:layout_centerInParent="true"
                    android:contentDescription="@string/icon"
                    android:padding="10dp"
                    android:src="@drawable/ic_search_black_24dp"
                    android:tint="@color/colorAccent" />

                <EditText
                    android:id="@+id/etSearch"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_toStartOf="@id/imgClear"
                    android:layout_toEndOf="@id/imgSearch"
                    android:background="@null"
                    android:hint="@string/search_by_name_category"
                    android:inputType="text"
                    android:padding="10dp"
                    tools:ignore="Autofill" />


                <ImageView
                    android:id="@+id/imgClear"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerInParent="true"
                    android:contentDescription="@string/icon"
                    android:padding="10dp"
                    android:src="@drawable/ic_close_black_24dp"
                    android:tint="@color/colorAccent"
                    android:visibility="invisible" />
            </RelativeLayout>

            <ImageView
                android:id="@+id/imgMapView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerInParent="true"
                android:background="@drawable/shadow_rec"
                android:contentDescription="@string/icon"
                android:padding="12dp"
                android:src="@drawable/ic_map_black_24dp"
                android:tint="@color/colorAccent" />
        </RelativeLayout>

        <TextView
            android:id="@+id/tvNoInternet"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/layoutHeader"
            android:layout_centerInParent="true"
            android:background="@drawable/shadow_rou"
            android:gravity="center"
            android:padding="16dp"
            android:text="@string/check_you_internet_connection"
            android:textColor="@color/colorAccent"
            android:visibility="gone" />


    </RelativeLayout>

</layout>